> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cursor-paginated list of SessionContentRevision



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/sessioncontentrevision/cursor
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/sessioncontentrevision/cursor:
    get:
      tags:
        - SessionContentRevision
      summary: Cursor-paginated list of SessionContentRevision
      operationId: listSessionContentRevisionByCursor
      parameters:
        - description: 'Cursor: ID of the last item from the previous page'
          in: query
          name: after
          schema:
            type: string
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/SessionContentRevision'
                    type: array
                  has_more:
                    type: boolean
                  next_cursor:
                    nullable: true
                    type: string
                type: object
          description: Paginated SessionContentRevision list
      security:
        - BearerAuth: []
components:
  schemas:
    SessionContentRevision:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        editorName:
          type: string
        editorUserId:
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        restoredFromRevisionId:
          type: string
        revisionNumber:
          type: integer
        sessionId:
          type: string
        speakerUserIdsJson:
          description: Arbitrary JSON value
        title:
          type: string
      required:
        - id
        - orgId
        - eventId
        - sessionId
        - revisionNumber
        - title
        - editorUserId
        - editorName
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````